> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.treet.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Grade Items

> Endpoint to grade items with specified conditions and notes. 

 All items sent in a single request should be part of the same shipment. 

 All items in a single request should be distinct.



## OpenAPI

````yaml POST /v1/items/grade
openapi: 3.0.1
info:
  title: OpenAPI Treet Listings
  description: Treet API to manage brand store listings
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.treet-test.co
security:
  - ClientIdAuth: []
    ApiKeyAuth: []
paths:
  /v1/items/grade:
    post:
      summary: Grade items
      description: |-
        Endpoint to grade items with specified conditions and notes. 

         All items sent in a single request should be part of the same shipment. 

         All items in a single request should be distinct.
      requestBody:
        description: List of Treet items to condition grade
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              properties:
                items:
                  type: array
                  minItems: 1
                  items:
                    $ref: '#/components/schemas/GradeItemsObject'
              example:
                items:
                  - id: c7383262-e266-4b97-a957-40caa69b6a56
                    condition: GOOD
                    notes: Loose thread on button
                    images:
                      - url: https://example.com/image1.jpg
                        notes: Front view of the item, see loose thread
                      - url: https://example.com/image2.jpg
        required: true
      responses:
        '200':
          description: Grade Items response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                properties:
                  items:
                    type: array
                    minItems: 1
                    items:
                      $ref: '#/components/schemas/GradeItemsObject'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Server Errors
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GradeItemsObject:
      required:
        - id
        - condition
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: Treet's Bundle Item ID
          example: c7383262-e266-4b97-a957-40caa69b6a56
        condition:
          type: string
          description: Treet's Trade-In Condition
          example: GOOD
          enum:
            - NEW_WITH_TAGS
            - EXCELLENT
            - GOOD
            - RECYCLABLE
            - DAMAGED
            - WRONG_ITEM
            - MISSING
        notes:
          type: string
          description: Item specific grading notes
          example: Loose thread on button
        images:
          $ref: '#/components/schemas/ImageObject'
          description: A list of images for this listing
          minItems: 1
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    ImageObject:
      description: List of images with additional details
      minItems: 1
      type: array
      items:
        type: object
        properties:
          url:
            type: string
            format: uri
            description: Image URL
          notes:
            type: string
            description: Internal notes or metadata for the image
        required:
          - url
  securitySchemes:
    ClientIdAuth:
      type: apiKey
      in: header
      name: X-Treet-Client-Id
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Treet-Authentication-Key

````